Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.indexer.helpers
Class IndexQueryBWX

    java.lang.Object
      com.dbxml.db.core.indexer.IndexQuery
          com.dbxml.db.core.indexer.helpers.IndexQueryBWX

public final class IndexQueryBWX
extends IndexQuery

IndexQueryBWX

Field Summary

Fields inherited from class com.dbxml.db.core.indexer.IndexQuery
`ANY, BW, BWX, EQ, GT, GTE, IN, LT, LTE, NBW, NBWX, NEQ, NIN, NSW, SW`

Constructor Summary
`IndexQueryBWX(IndexPattern pattern, Value val1, Value val2)`

Method Summary
`int` | `getOperator()` getOperator returns the operator associated with this query.
`boolean` | `testValue(Value v)` testValue tests the specified value for validity against this IndexQuery.

Methods inherited from class com.dbxml.db.core.indexer.IndexQuery
`getLength, getPattern, getValue, getValues`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexQueryBWX

    public IndexQueryBWX(IndexPattern pattern,
                         Value val1,
                         Value val2)

Method Detail

### getOperator

    public int getOperator()

  Description copied from class: `IndexQuery`
  getOperator returns the operator associated with this query.

  Overrides:
    `getOperator` in class `IndexQuery`
  Returns:
    The operator

### testValue

    public boolean testValue(Value v)

  Description copied from class: `IndexQuery`
  testValue tests the specified value for validity against this IndexQuery. The helper classes in com.dbxml.db.core.indexer.helpers should be used for optimized performance.

  Overrides:
    `testValue` in class `IndexQuery`
  Returns:
    Whether or not the value matches

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group